﻿@model ListOfPetsViewModel
<h3><i class="fa fa-table fa-fw" aria-hidden="true"></i>Pregled ljubimaca</h3>
<hr />

<div class="card mb-3">
    <div class="card-header">
        <i class="fas fa-paw"></i>
        <strong>Ljubimci</strong>
    </div>
    <div class="card-body">
        <div class="table-responsive">
            <table class="table table-bordered" id="dataTable" cellspacing="0">
                <thead>
                    <tr>
                        <th>RB</th>
                        <th>Ime</th>
                        <th>Vrsta</th>
                        <th>Rasa</th>
                        <th>Vlasnik</th>
                        <th>Detaljnije</th>
                    </tr>
                </thead>
                <tbody>
                    @{int i = 0;}
                    @foreach (Pet p in Model.Pets)
                    {
                        i = @i + 1;
                        <tr>
                            <td>@i</td>
                            <td>@p.Name</td>
                            <td>@p.PetType.TypeName</td>
                            <td>@p.Race</td>
                            <td><a asp-controller="PetOwner" asp-action="Details/@p.Owner.UserName" style="color:black">@p.Owner.FirstName @p.Owner.LastName (@p.Owner.UserName)</a></td>
                            <td><a href="Details\@p.PetId" style="font-size:medium; margin:-15px 0px -10px 0px" class="btn btn-dark btn-sm">Detaljnije</a></td>
                        </tr>
                    }
                </tbody>
            </table>
        </div>
    </div>
    <div class="card-footer small text-muted"><a asp-controller="Pet" asp-action="Export" style="font-size:medium" class="btn btn-dark btn-sm"><i class="fa fa-download fa-sm" aria-hidden="true"></i> Eksport</a></div>
</div>